Bug 106106 - up2date wants to reinstall packages already installed
up2date wants to reinstall packages already installed
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks: 120092
  Show dependency treegraph
 
Reported: 2003-10-02 16:37 EDT by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 08:52:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2003-10-02 16:37:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
After a full install of Severn 2 (happened with Severn 1 as well, but I think I
failed to file the bug report :-(, after subscribing to the updates channel,
up2date offers aspell and xemacs-el as options available for updating.  However,
nothing newer than the versions installed by the installer is available. 
Running rpm -U --replacepkgs for the two packages silences up2date, hopefully
forever, without even having to run up2date -p.  The database on the server has
the correct information.  It seems to be something odd on the client side.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Perform a full install of Severn 2
2.Register with RHN, and subscribe to the updates channel
3.Start up2date
    

Actual Results:  aspell and xemacs-el will be listed as available for updates,
even though no newer releases are available.  up2date -u -f will then fail to
install the updates, because the packages are already installed.

Expected Results:  It shouldn't offer to update what's already updated.

Additional info:
Comment 1 Need Real Name 2003-10-06 10:07:36 EDT
I have exactly the same problem since quite a few versions of up2date!
Comment 2 Tommy McNeely 2003-10-07 17:35:47 EDT
it got me on severn-1 and severn-2 :)
Comment 3 Alexandre Oliva 2003-10-07 17:52:08 EDT
Oddly enough, even though I'd already fixed the problem with both of xemacs-el
and aspell, after rpm --rebuilddb (long story), xemacs-el came back to the list
of candidates for update, but aspell didn't.
Comment 4 Adrian Likins 2003-10-08 00:56:47 EDT
can folks provide name-version-release info for the package in
question when they see these cases? 

rpm -q xenacs-el 

for example

the `rpm --rebuilddb` is odd.
What version of xemacs-el does
rpm claim to have installed?
Comment 5 Alexandre Oliva 2003-10-08 10:33:33 EDT
$ rpm -q aspell xemacs-el
aspell-0.50.3-15
xemacs-el-21.4.14-1

As stated before, these are the packages that shipped with Severn test2, since
there haven't been any updates to them.

I couldn't duplicate the rpm --rebuilddb problem, but a full install as
described in the original bug report is a sure way to duplicate the problem.
Comment 6 Adrian Likins 2003-10-08 14:40:29 EDT
so, that implies up2date-3.9.29? 

fixed a couple bugs in 4.0 and 4.0.1,

does the same problem occur with 4.0.1 from rawhide?
Comment 7 Alexandre Oliva 2003-10-08 14:45:37 EDT
Nope.  I got the problem with yesterday's up2date, I just don't know exactly how
to duplicate the problem that way.  Probably install as described the up2date -u
up2date should suffice.
Comment 8 John Thacker 2006-10-29 08:52:56 EST
Note that FC2 is no longer supported even by Fedora Legacy.  Also, up2date has
been replaced by pirut and pup since FC5.  FC3 and FC4 are supported by Fedora
Legacy for security issues only.  If this still occurs on FC3 or FC4 and is a
security issue, please reopen and assign to that version and Fedora Legacy.  If
it occurs on RHEL 3 or 4, please reassign or refile against that product.

The codebase for pirut and pup is quite different, so existing bugs do not
apply, but please continue testing them on the still supported versions of
Fedora Core and file bugs as necessary.

Note You need to log in before you can comment on or make changes to this bug.